summaryrefslogtreecommitdiffhomepage
path: root/applications
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2008-11-05 22:06:27 +0000
committerJo-Philipp Wich <jow@openwrt.org>2008-11-05 22:06:27 +0000
commit7651fd78f055c0f6373027d5dae1f2ce9e8db4c3 (patch)
tree7e33d28dcade2e336b65e00a2718be662de69e5d /applications
parent9f28871ffcd8a59bc372059fe7db30eddba376ed (diff)
* luci: fix postinstall scripts
Diffstat (limited to 'applications')
-rwxr-xr-xapplications/luci-splash/ipkg/postinst4
-rwxr-xr-xapplications/luci-statistics/ipkg/postinst6
2 files changed, 6 insertions, 4 deletions
diff --git a/applications/luci-splash/ipkg/postinst b/applications/luci-splash/ipkg/postinst
index e9c8bb12c..1e4d1793d 100755
--- a/applications/luci-splash/ipkg/postinst
+++ b/applications/luci-splash/ipkg/postinst
@@ -1,3 +1,5 @@
#!/bin/sh
-/etc/init.d/luci_splash enable
+[ -n "${IPKG_INSTROOT}" ] || {
+ /etc/init.d/luci_splash enable
+}
diff --git a/applications/luci-statistics/ipkg/postinst b/applications/luci-statistics/ipkg/postinst
index 424d8c88d..536f4bb28 100755
--- a/applications/luci-statistics/ipkg/postinst
+++ b/applications/luci-statistics/ipkg/postinst
@@ -1,7 +1,7 @@
#!/bin/sh
[ -n "${IPKG_INSTROOT}" ] || {
( . /etc/uci-defaults/luci-statistics ) && rm -f /etc/uci-defaults/luci-statistics
-}
-/etc/init.d/luci_statistics enable
-/etc/init.d/collectd enable
+ /etc/init.d/luci_statistics enable
+ /etc/init.d/collectd enable
+}